Subject: Re: Quick password question...
From: Adam K Kirchhoff <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 5 Sep 2002 08:14:37 -0400 (EDT)

Problem solved!

I started thinking about the fact that, under Unix, sshd won't do public
key authentication if the permissions on the users home directory and .ssh
directory aren't strict enough.  So, even though I'm using a FAT32
filesystem, I decided to add "ntsec" to the CYGWIN variable (which,
previously, had only been "tty").  And voila, it worked!

Someone might want to modify the instructions about setting up sshd to say
that even if you're not using NTFS, you should still have ntsec in the
CYGWIN variable.

Oh, and I also had to modify the sshd service run with CYGWIN="ntsec tty",
as well.

Adam

On Thu, 5 Sep 2002 [email-masked] wrote:

> On Wed, Sep 04, 2002 at 10:04:52PM -0400, Adam K Kirchhoff wrote:
>
> > Here's the problem I'm having:  sshd refuses to do public key
> > authentication when run as a Windows service.  It will only work with
> > password authentication.  And then, only if Windows has a password for
> > that user.  If the password is blank (as I would like to be the case on my
> > home machine), sshd refuses to log me in with a blank password (even if
> > sshd_config allows for blank passwords).  This isn't an issue with my work
> > machine since I want that account to have a password.
> >
> > If I run sshd from the command line, it works just as one would expect and
> > allows for public key authentication.
>
> I have a similar problem. sshd on my XP machine at work will not do public
> key authentication when running as a service. Run it from a command prompt
> window under the SYSTEM account and it does work!
>
> Regards,
> Tony.
> --
> Tony Arnold, Deputy to the Head of COS Division, Manchester Computing,
> University of Manchester, Oxford Road, Manchester M13 9PL.
> T: +44 (0)161 275 6093, F: +44 (0)870 136 1004, M: +44 (0)773 330 0039
> E-mail: [email-masked], Home: http://www.man.ac.uk/Tony.Arnold
> --
> List Information: http://tech.erdelynet.com/mailman/listinfo/ssh-l/
> List Archives:    http://archive.erdelynet.com/ssh-l/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/